Package org.apache.struts2.views.jsp.ui

# Class DoubleSelectTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.struts2.views.jsp.StrutsBodyTagSupport
org.apache.struts2.views.jsp.ComponentTagSupport
org.apache.struts2.views.jsp.ui.AbstractUITag
org.apache.struts2.views.jsp.ui.AbstractListTag
org.apache.struts2.views.jsp.ui.AbstractRequiredListTag
org.apache.struts2.views.jsp.ui.AbstractDoubleListTag
org.apache.struts2.views.jsp.ui.DoubleSelectTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.DynamicAttributes`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `Serializable`

public class DoubleSelectTag extends AbstractDoubleListTag

See Also:
  - `DoubleSelect`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractDoubleListTag

  `doubleAccesskey, doubleCssClass, doubleCssStyle, doubleDisabled, doubleEmptyOption, doubleHeaderKey, doubleHeaderValue, doubleId, doubleList, doubleListCssClass, doubleListCssStyle, doubleListKey, doubleListTitle, doubleListValue, doubleMultiple, doubleName, doubleOnblur, doubleOnchange, doubleOnclick, doubleOndblclick, doubleOnfocus, doubleOnkeydown, doubleOnkeypress, doubleOnkeyup, doubleOnmousedown, doubleOnmousemove, doubleOnmouseout, doubleOnmouseover, doubleOnmouseup, doubleOnselect, doubleSize, doubleValue, emptyOption, formName, headerKey, headerValue, multiple, size`

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag

  `list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey`

  ### Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag

  `accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

  ### Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `component`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `pageContext`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleSelectTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Component`
  `getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
  `protected void`
  `populateParams()`
  Define method to populate component state based on the Tag attributes.
  `void`
  `setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)`
  Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractDoubleListTag

  `clearTagStateForTagPoolingServers, getDoubleCssClass, getDoubleCssStyle, getDoubleDisabled, getDoubleEmptyOption, getDoubleHeaderKey, getDoubleHeaderValue, getDoubleId, getDoubleList, getDoubleListKey, getDoubleListValue, getDoubleMultiple, getDoubleName, getDoubleOnblur, getDoubleOnchange, getDoubleOnclick, getDoubleOndblclick, getDoubleOnfocus, getDoubleOnkeydown, getDoubleOnkeypress, getDoubleOnkeyup, getDoubleOnmousedown, getDoubleOnmousemove, getDoubleOnmouseout, getDoubleOnmouseover, getDoubleOnmouseup, getDoubleOnselect, getDoubleSize, getDoubleValue, getFormName, setDoubleAccesskey, setDoubleCssClass, setDoubleCssStyle, setDoubleDisabled, setDoubleEmptyOption, setDoubleHeaderKey, setDoubleHeaderValue, setDoubleId, setDoubleList, setDoubleListCssClass, setDoubleListCssStyle, setDoubleListKey, setDoubleListTitle, setDoubleListValue, setDoubleMultiple, setDoubleName, setDoubleOnblur, setDoubleOnchange, setDoubleOnclick, setDoubleOndblclick, setDoubleOnfocus, setDoubleOnkeydown, setDoubleOnkeypress, setDoubleOnkeyup, setDoubleOnmousedown, setDoubleOnmousemove, setDoubleOnmouseout, setDoubleOnmouseover, setDoubleOnmouseup, setDoubleOnselect, setDoubleSize, setDoubleValue, setEmptyOption, setFormName, setHeaderKey, setHeaderValue, setMultiple, setSize`

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag

  `setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey`

  ### Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag

  `setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelPosition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

  ### Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport

  `doEndTag, doStartTag, getComponent, populatePerformClearTagStateForTagPoolingServersParam`

  ### Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport

  `findString, findValue, findValue, getBody, getPerformClearTagStateForTagPoolingServers, getStack, release, toString`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

  ### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Constructor Details

  - ### DoubleSelectTag

    public DoubleSelectTag()

- ## Method Details

  - ### getBean

    public Component getBean(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)
    Specified by:
      `getBean` in class `ComponentTagSupport`

  - ### populateParams

    protected void populateParams()
    Description copied from class: `ComponentTagSupport`
    Define method to populate component state based on the Tag attributes. Descendants should override this method for custom behaviour, but should always call the ancestor method when doing so.
    Overrides:
      `populateParams` in class `AbstractDoubleListTag`

  - ### setPerformClearTagStateForTagPoolingServers

    public void setPerformClearTagStateForTagPoolingServers(boolean performClearTagStateForTagPoolingServers)
    Must declare the setter at the descendant Tag class level in order for the tag handler to locate the method.
    Overrides:
      `setPerformClearTagStateForTagPoolingServers` in class `AbstractDoubleListTag`
    Parameters:
      `performClearTagStateForTagPoolingServers` - true if tag state should be cleared, false otherwise.